SapMonitorsOperations Class

SapMonitorsOperations operations.

You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.

Inheritance
builtins.object
SapMonitorsOperations

Constructor

SapMonitorsOperations(client, config, serializer, deserializer)

Parameters

client
Required

Client for service requests.

config
Required

Configuration of service client.

serializer
Required

An object model serializer.

deserializer
Required

An object model deserializer.

Variables

models

Alias to model classes used in this operation group.

Methods

begin_create

Creates a SAP monitor.

Creates a SAP monitor for the specified subscription, resource group, and resource name.

begin_delete

Deletes a SAP monitor.

Deletes a SAP monitor with the specified subscription, resource group, and monitor name.

get

Gets properties of a SAP monitor.

Gets properties of a SAP monitor for the specified subscription, resource group, and resource name.

list

Gets a list of SAP monitors in the specified subscription.

Gets a list of SAP monitors in the specified subscription. The operations returns various properties of each SAP monitor.

update

Patches the Tags field of a SAP monitor.

Patches the Tags field of a SAP monitor for the specified subscription, resource group, and monitor name.

begin_create

Creates a SAP monitor.

Creates a SAP monitor for the specified subscription, resource group, and resource name.

begin_create(resource_group_name: str, sap_monitor_name: str, sap_monitor_parameter: _models.SapMonitor, **kwargs: Any) -> LROPoller[_models.SapMonitor]

Parameters

resource_group_name
str
Required

Name of the resource group.

sap_monitor_name
str
Required

Name of the SAP monitor resource.

sap_monitor_parameter
SapMonitor
Required

Request body representing a SAP Monitor.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or PollingMethod

Pass in True if you'd like the ARMPolling polling method, False for no polling, or your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of LROPoller that returns either SapMonitor or the result of cls(response)

Return type

Exceptions

begin_delete

Deletes a SAP monitor.

Deletes a SAP monitor with the specified subscription, resource group, and monitor name.

begin_delete(resource_group_name: str, sap_monitor_name: str, **kwargs: Any) -> LROPoller[None]

Parameters

resource_group_name
str
Required

Name of the resource group.

sap_monitor_name
str
Required

Name of the SAP monitor resource.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or PollingMethod

Pass in True if you'd like the ARMPolling polling method, False for no polling, or your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of LROPoller that returns either None or the result of cls(response)

Return type

Exceptions

get

Gets properties of a SAP monitor.

Gets properties of a SAP monitor for the specified subscription, resource group, and resource name.

get(resource_group_name: str, sap_monitor_name: str, **kwargs: Any) -> _models.SapMonitor

Parameters

resource_group_name
str
Required

Name of the resource group.

sap_monitor_name
str
Required

Name of the SAP monitor resource.

cls
callable

A custom type or function that will be passed the direct response

Returns

SapMonitor, or the result of cls(response)

Return type

Exceptions

list

Gets a list of SAP monitors in the specified subscription.

Gets a list of SAP monitors in the specified subscription. The operations returns various properties of each SAP monitor.

list(**kwargs: Any) -> Iterable[_models.SapMonitorListResult]

Parameters

cls
callable

A custom type or function that will be passed the direct response

Returns

An iterator like instance of either SapMonitorListResult or the result of cls(response)

Return type

Exceptions

update

Patches the Tags field of a SAP monitor.

Patches the Tags field of a SAP monitor for the specified subscription, resource group, and monitor name.

update(resource_group_name: str, sap_monitor_name: str, tags_parameter: _models.Tags, **kwargs: Any) -> _models.SapMonitor

Parameters

resource_group_name
str
Required

Name of the resource group.

sap_monitor_name
str
Required

Name of the SAP monitor resource.

tags_parameter
Tags
Required

Request body that only contains the new Tags field.

cls
callable

A custom type or function that will be passed the direct response

Returns

SapMonitor, or the result of cls(response)

Return type

Exceptions

Attributes

models

models = <module 'azure.mgmt.hanaonazure.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\hanaonazure\\models\\__init__.py'>